Index: src/dillo.c
===================================================================
RCS file: /sfhome/cvs/dillo/dillo/src/dillo.c,v
retrieving revision 1.43
diff -c -p -c -r1.43 dillo.c
*** src/dillo.c	16 Mar 2003 04:21:43 -0000	1.43
--- src/dillo.c	23 Mar 2003 20:02:13 -0000
*************** gint main(int argc, char *argv[])
*** 230,235 ****
--- 230,236 ----
     /* This avoids making zombies when dpi-programs finish. */
     signal(SIGCHLD, Dillo_sigchld_handler);
  
+    signal(SIGHUP, a_Interface_sighup_handler);
  
     /* check that ~/.dillo exists, create it if it doesn't */
     file = a_Misc_prepend_user_home(".dillo");
Index: src/interface.c
===================================================================
RCS file: /sfhome/cvs/dillo/dillo/src/interface.c,v
retrieving revision 1.72
diff -c -p -c -r1.72 interface.c
*** src/interface.c	18 Mar 2003 21:43:54 -0000	1.72
--- src/interface.c	23 Mar 2003 20:02:16 -0000
*************** void a_Interface_msg(BrowserWindow *bw, 
*** 957,962 ****
--- 957,973 ----
  }
  
  /*
+  * SIGHUP handler will reload all windows.
+  */
+ void a_Interface_sighup_handler(int signum)
+ {
+    int i;
+    
+    for( i=0 ; i<num_bw ; i++)
+      a_Commands_reload_callback(NULL, browser_window[i]);
+ }
+ 
+ /*
   * Called from `destroy' callback in Interface_make_*_dialog
   */
  static void Interface_destroy_window(GtkWidget *widget, GtkWidget **window)
Index: src/interface.h
===================================================================
RCS file: /sfhome/cvs/dillo/dillo/src/interface.h,v
retrieving revision 1.28
diff -c -p -c -r1.28 interface.h
*** src/interface.h	1 Feb 2003 12:35:57 -0000	1.28
--- src/interface.h	23 Mar 2003 20:02:16 -0000
*************** void a_Interface_add_url(BrowserWindow *
*** 14,19 ****
--- 14,20 ----
  void a_Interface_close_client(BrowserWindow *bw, gint ClientKey);
  
  void a_Interface_msg(BrowserWindow *bw, const char *format, ... );
+ void a_Interface_sighup_handler(int signum);
  
  void a_Interface_openfile_dialog(BrowserWindow *bw);
  void a_Interface_open_dialog(GtkWidget *widget, BrowserWindow *bw);
